summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2016-04-24 21:41:21 +0200
committerFlorian Dold <florian.dold@gmail.com>2016-04-24 21:41:21 +0200
commit36d949f1fc1769a07f84ea03fce8b03ca6af221c (patch)
tree325545174b8d58b9e418134db5e18d062c484322 /bootstrap
parent36942aa35087b6baa7fc2c4453206138525d0347 (diff)
downloaddeployment-36d949f1fc1769a07f84ea03fce8b03ca6af221c.tar.gz
deployment-36d949f1fc1769a07f84ea03fce8b03ca6af221c.tar.bz2
deployment-36d949f1fc1769a07f84ea03fce8b03ca6af221c.zip
deployment base dir
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap19
1 files changed, 19 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..8c5a62c
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -eu
+
+base=${TALER_DEPLOYMENT_BASE:-$HOME}
+
+mkdir -p base
+
+cd $base
+
+if ! test -d $base/gnunet; then
+ svn checkout https://gnunet.org/svn/gnunet
+fi
+
+for component in merchant mint landing exchange merchant-frontends deployment; do
+ if ! test -d $base/$component; then
+ git clone /var/git/$component.git
+ fi
+done